org.eclipse.ease.ui.help.hovers

## Class ModuleHelp

- java.lang.Object
- - org.eclipse.ease.ui.help.hovers.ModuleHelp

All Implemented Interfaces:
  IHoverHelp

    public class ModuleHelp
    extends java.lang.Object
    implements IHoverHelp

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.ease.ui.help.hovers.IHoverHelp

`IHoverHelp.IMementoVisitor`

### Constructor Summary

Constructors
Constructor and Description
`ModuleHelp(java.net.URL helpLocation)` Help provider for modules, methods and fields.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`IHoverHelp` `getConstantHelp(java.lang.reflect.Field field)`
`java.lang.String` `getDescription()`
`java.lang.String` `getHoverContent()`
`IHoverHelp` `getMethodHelp(java.lang.reflect.Method method)`
`static java.net.URL` `getModuleHelpLocation(ModuleDefinition definition)` Retrieve help page URL for a given module definition.
`java.lang.String` `getName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.ui.help.hovers.IHoverHelp

`getImageAndLabel, getNodeContent, resolveUrl, updateRelativeLinks, visitMemento`

### Constructor Detail

#### ModuleHelp

    public ModuleHelp(java.net.URL helpLocation)
               throws java.lang.Exception

Help provider for modules, methods and fields.

Parameters:
  `helpLocation` - location of help html file.
Throws:
  `java.lang.Exception` - when help content cannot be read

### Method Detail

#### getModuleHelpLocation

    public static java.net.URL getModuleHelpLocation(ModuleDefinition definition)

Retrieve help page URL for a given module definition.

Parameters:
  `definition` - module definition to get location for
Returns:
  help URL

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `IHoverHelp`

#### getDescription

    public java.lang.String getDescription()

Specified by:
  `getDescription` in interface `IHoverHelp`

#### getHoverContent

    public java.lang.String getHoverContent()

Specified by:
  `getHoverContent` in interface `IHoverHelp`

#### getConstantHelp

    public IHoverHelp getConstantHelp(java.lang.reflect.Field field)

#### getMethodHelp

    public IHoverHelp getMethodHelp(java.lang.reflect.Method method)
                             throws java.lang.Exception

Throws:
  `java.lang.Exception`